Imports System.Data.SqlClient

Public Interface IPrixusConexion
    Sub EjecutaQuery(ByVal sql As String)
    Function EjecutarSQL(ByVal sql As String, Optional ByVal nuevo As Boolean = False, Optional ByVal mostrarMsg As Boolean = True) As Boolean
    Function ObtenerDatos(ByVal sql As String, Optional ByVal timeOut As Integer = 40) As SqlDataReader
    Function ConsultarSQL(ByVal sqlQuery As String) As DataSet
    Function ObtenerDataTable(ByVal sql As String, ByVal parametros As List(Of SqlParameter)) As DataTable
    Function ObtenerValor(ByVal sql As String) As String
    Function ObtenerObjeto(ByVal sql As String, ByVal parametros As List(Of SqlParameter), ByVal tipo As CommandType, Optional ByRef msj As String = "") As Object
    Function ObtenerObjeto(ByVal sql As String) As Object
    Function EjecutarProcedimiento(ByVal sql As String, ByVal parametros As List(Of SqlParameter)) As Boolean
    Function EjecutarProcedimiento(ByVal sql As String, ByVal parametros As List(Of SqlParameter), ByRef mensajeError As String) As Boolean
    Sub CerrarBD()
End Interface
